import request from '@/utils/request'

// 分页查询消费金签到配置
export function getAllBeeSignConfig(data) {
  return request({
    url: '/buyerBeeSignConfig/getAll',
    method: 'post',
    data
  })
}

// 查询消费金签到配置
export function getByIdBeeSignConfig(params) {
  return request({
    url: '/buyerBeeSignConfig/getById',
    method: 'get',
    params
  })
}

// 新增消费金签到配置
export function saveBeeSignConfig(data) {
  return request({
    url: '/buyerBeeSignConfig/save',
    method: 'post',
    data
  })
}

// 修改消费金签到配置
export function updateBeeSignConfig(data) {
  return request({
    url: '/buyerBeeSignConfig/update',
    method: 'post',
    data
  })
}

// 删除消费金签到配置
export function deleteByIdBeeSignConfig(params) {
  return request({
    url: '/buyerBeeSignConfig/deleteById',
    method: 'get',
    params
  })
}
